#### MSGDISP

#### Synopsis

    HELP:   Output medium for FLAM messages
    TYPE:   NUMBER
    SYNTAX: MSGDISP/MSGD=TERMINAL/MSGFILE/SYSTEM

#### Description

With parameter MSGDISP it is possible to control the output medium for messages (z/OS only).

The FLAM protocol is principally stored into a file if no other instructions are given by parameter MSGDISP.

All messages are written by default into a message file:

    //FLPRINT DD DSN=list_file,DISP= ...

or

    //FLPRINT DD SYSOUT=*

If no file is specified despite the fact that the parameter `MSGDISP=MSGFILE` is set, a message is written to the console via `WTO, ROUTCDE=11` and the program is terminated with a condition code (`WTO=Write-To-Operator`).
Parameters in the same context: MSGFILE and MSGDDN

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `MSGDISP=TERMINAL/MSGFILE/SYSTEM`
  - `MSGD=TERMINAL/MSGFILE/SYSTEM`

Values

- z/OS
  - `MSGDISP=TERMINAL`
    Currently not supported.
  - `MSGDISP=MSGFILE`
    The messages are written into a catalogued file. The DD-NAME of this file is `FLPRINT` by default and can be modified using parameter `MSGDDN=<name>`.
  - `MSGDISP=SYSTEM`
    Output on console with WTO, ROUTCDE=11.

Default

- z/OS
  - `MSGDISP=MSGFILE`

Valid for

- compression
- decompression

#### Selections

- `TERMINAL - Log to a stream`
- `MSGFILE - Log to a flat file`
- `SYSTEM - Use system logging facility`